## cvss rescore-0.0.4

=== requirements.txt ===
a t t r s = = 2 2 . 2 . 0 
 
 c o l o r a m a = = 0 . 4 . 6 
 
 c v s s = = 2 . 5 
 
 #   E d i t a b l e   G i t   i n s t a l l   w i t h   n o   r e m o t e   ( c v s s - r e s c o r e = = 0 . 0 . p o s t 1 . d e v 1 + g 9 b b 6 3 1 e ) 
 
 - e   c : \ u s e r s \ b p 4 1 5 \ p y c h a r m p r o j e c t s \ c v s s _ r e s c o r e 
 
 e x c e p t i o n g r o u p = = 1 . 1 . 0 
 
 i n i c o n f i g = = 2 . 0 . 0 
 
 p a c k a g i n g = = 2 3 . 0 
 
 p l u g g y = = 1 . 0 . 0 
 
 p l y = = 3 . 1 1 
 
 p y t e s t = = 7 . 2 . 1 
 
 p y t h o n - d a t e u t i l = = 2 . 8 . 2 
 
 r u l e - e n g i n e = = 3 . 5 . 0 
 
 s i x = = 1 . 1 6 . 0 
 
 t o m l i = = 2 . 0 . 1 
 
 

## cvss 2.4

=== debian/changelog ===
cvss (2.4-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:38:34 +0200

cvss (2.4-0kali2) kali-dev; urgency=medium

  * Run tests during the build

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Jun 2022 16:53:20 +0200

cvss (2.4-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Jun 2022 15:39:58 +0200

=== debian/control ===
Source: cvss
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/skontar/cvss

Package: python3-cvss
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: CVSS v2 and v3 computation utilities (Python 3)
 This package contains CVSS v2 and v3 computation utilities and interactive
 calculator.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=cvss

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	cd tests && python3 test_cvss2.py
	cd tests && python3 test_cvss3.py

## cvss 3.2

=== debian/changelog ===
cvss (3.2-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 3.2
  * Bump Standards-Version to 4.7.0 (no change)
  * Update debian/copyright
  * Adapt override_dh_auto_test for new release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Oct 2024 10:04:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: cvss
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,8 +10,10 @@
  python3-setuptools,
  python3-all,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/skontar/cvss
+Vcs-Browser: https://gitlab.com/kalilinux/packages/cvss
+Vcs-Git: https://gitlab.com/kalilinux/packages/cvss.git
 
 Package: python3-cvss
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd tests && python3 test_cvss2.py
 	cd tests && python3 test_cvss3.py
-
+	cd tests && python3 test_cvss4.py
+endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cvss-$1.tar.gz%" \
   https://github.com/skontar/cvss/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
